Fixed onos-log so ctrl-c will only kill the current monitor an added onos-log-kill command to kill all monitors.

Change-Id: Id76b13f801aae0d9878baa265601717ef20613c8
diff --git a/tools/test/bin/onos-log b/tools/test/bin/onos-log
index 774a9d3..0022a95 100755
--- a/tools/test/bin/onos-log
+++ b/tools/test/bin/onos-log
@@ -23,12 +23,11 @@
 if [ $less -eq 1 ]; then
     ssh -t $remote "less $LOG"
 else
-    trap "ssh $remote 'ps -ef | grep \"tail -n 512\" | grep -v grep | cut -c10-15 | xargs kill'" EXIT
     ssh -t $remote "
     while true; do
         echo ==================================================================
         [ ! -f $LOG ] && sleep 2 && continue
-        tail -n 512 --follow=name $LOG --sleep-interval 2
+        tail -n 512 --follow=name $LOG --pid \$$ --sleep-interval 2
     done
     "
 fi
diff --git a/tools/test/bin/onos-log-kill b/tools/test/bin/onos-log-kill
new file mode 100755
index 0000000..c18d923
--- /dev/null
+++ b/tools/test/bin/onos-log-kill
@@ -0,0 +1,16 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Kills all remote ONOS log file monitors on the specified node.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+. $ONOS_ROOT/tools/test/bin/find-node.sh
+
+less=0
+[ "$1" = "-l" ] && shift && less=1
+
+remote=$(find_node $1)
+remote=$ONOS_USER@${remote:-$OCI}
+
+ssh $remote "ps -ef | grep \"tail -n 512\" | grep -v grep | cut -c10-15 | xargs kill"